import request from '@/utils/request'

export const save = (data) => request.post('/api/dataPerm/submit', data)

export const groupPage = (params) => request.get('/api/dataPerm/list', { params })

export const tagList = (data) => request.post('/api/dataPerm/tagList', data)

export const groupDel = (params) => request.post('/api/dataPerm/delete', {}, { params })

export const typeList = (params) => request.get('/api/dataPermType/list', { params })

export const typeSave = (data) => request.post('/api/dataPermType/submit', data)

export const typeDel = (params) => request.post('/api/dataPermType/delete', {}, { params })

export const getMineAuthGroup = (params) => request.get('/api/dataPerm/ownerList', { params })
